Package org.springframework.security.authorization.method

# Class ExpressionAttributeAuthorizationDecision

java.lang.Object
org.springframework.security.authorization.AuthorizationDecision
org.springframework.security.authorization.method.ExpressionAttributeAuthorizationDecision

All Implemented Interfaces:
  `Serializable`, `AuthorizationResult`

@Deprecated public class ExpressionAttributeAuthorizationDecision extends AuthorizationDecision
Deprecated.
Use `ExpressionAuthorizationDecision` instead
Represents an `AuthorizationDecision` based on a `ExpressionAttribute`

Since:
  5.6
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ExpressionAttributeAuthorizationDecision(boolean granted, org.springframework.security.authorization.method.ExpressionAttribute expressionAttribute)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`org.springframework.security.authorization.method.ExpressionAttribute`
`getExpressionAttribute()`
Deprecated.
`String`
`toString()`
Deprecated.

### Methods inherited from class org.springframework.security.authorization.AuthorizationDecision

`isGranted`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ExpressionAttributeAuthorizationDecision

public ExpressionAttributeAuthorizationDecision(boolean granted, org.springframework.security.authorization.method.ExpressionAttribute expressionAttribute)
Deprecated.

## Method Details

### getExpressionAttribute

public org.springframework.security.authorization.method.ExpressionAttribute getExpressionAttribute()
Deprecated.

### toString

public String toString()
Deprecated.

Overrides:
  `toString` in class `AuthorizationDecision`